ExecutableMemberDoc (Doclet API)

Package | Class | Use | Tree | Deprecated | Index | Help

Doclet API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface ExecutableMemberDoc

All Superinterfaces:
  Comparable, Doc, MemberDoc, ProgramElementDoc

All Known Subinterfaces:
  ConstructorDoc, MethodDoc

public interface ExecutableMemberDoc
extends MemberDoc

Represents a method or constructor of a java class.

Since:
  JDK1.2

Method Summary
`String` | `flatSignature()` get flat signature.
`boolean` | `isNative()` Return true if this method is native
`boolean` | `isSynchronized()` Return true if this method is synchronized
`Parameter[]` | `parameters()` Get argument information.
`ParamTag[]` | `paramTags()` Return the param tags in this method.
`String` | `signature()` Get the signature.
`ClassDoc[]` | `thrownExceptions()` Return exceptions this method or constructor throws.
`ThrowsTag[]` | `throwsTags()` Return the throws tags in this method.

Methods inherited from interface com.sun.javadoc.MemberDoc
`isSynthetic`

Methods inherited from interface com.sun.javadoc.ProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

Methods inherited from interface com.sun.javadoc.Doc
`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isClass, isConstructor, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

Method Detail

### thrownExceptions

    public ClassDoc[] thrownExceptions()

  Return exceptions this method or constructor throws.

  Returns:
    an array of Type[] representing the exceptions thrown by this method.

### isNative

    public boolean isNative()

  Return true if this method is native

### isSynchronized

    public boolean isSynchronized()

  Return true if this method is synchronized

### parameters

    public Parameter[] parameters()

  Get argument information.

  Returns:
    an array of Parameter, one element per argument in the order the arguments are present.
  See Also:
    `Parameter`

### throwsTags

    public ThrowsTag[] throwsTags()

  Return the throws tags in this method.

  Returns:
    an array of ThrowTag containing all `@exception` and `@throws` tags.

### paramTags

    public ParamTag[] paramTags()

  Return the param tags in this method.

  Returns:
    an array of ParamTag containing all `@param` tags.

### signature

    public String signature()

  Get the signature. It is the parameter list, type is qualified. For instance, for a method `mymethod(String x, int y)`, it will return `(java.lang.String,int)`.

### flatSignature

    public String flatSignature()

  get flat signature. all types are not qualified. return a String, which is the flat signiture of this member. It is the parameter list, type is not qualified. For instance, for a method `mymethod(String x, int y)`, it will return `(String, int)`.

Package | Class | Use | Tree | Deprecated | Index | Help

Doclet API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.